Pics (images Maven Webapp 1.3.0-3.1.0 API)
Date: 2014-05-11

org.gcube.application.aquamaps.images

## Class Pics

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.gcube.application.aquamaps.images.BaseServlet
      - - org.gcube.application.aquamaps.images.Pics

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class Pics
      extends BaseServlet

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.gcube.application.aquamaps.images.BaseServlet

      `common, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pics()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected InputStream` | `handleRequest(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

    - ### Methods inherited from class org.gcube.application.aquamaps.images.BaseServlet

      `doGet, getHSPECId, getProductType, getScientificName, hasScientificName`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Pics

          public Pics()

  - ### Method Detail

    - #### handleRequest

          protected InputStream handleRequest(javax.servlet.http.HttpServletRequest req,
                                  javax.servlet.http.HttpServletResponse resp)
                                       throws IOException,
                                              ImageNotFoundException,
                                              InvalidRequestException,
                                              Exception

      Specified by:
        `handleRequest` in class `BaseServlet`
      Throws:
        `IOException`
        `ImageNotFoundException`
        `InvalidRequestException`
        `Exception`

Copyright © 2014. All Rights Reserved.